Contenu | Rechercher | Menus
Selon les tags présents sur cette page, celle-ci est ancienne et ne contient plus d'informations sur une des versions supportées d'Ubuntu.
Cette page est en cours de rédaction.
Apportez votre aide…

LaCie LightScribe Labeler

LaCie LightScribe Labeler est un programme propriétaire gratuit édité par LaCie qui permet de graver des images et du texte directement sur la face "imprimable" de vos CD / DVD. Le programme est distribué sous forme de paquet rpm (utilisé notamment par les distributions Fedora, Mandriva et OpenSuSe).

La société propose également sur son site un kit de développement (SDK) incluant la bibliothèque permettant de graver une image sur un support compatible.

Ce programme ne fonctionne qu'avec un matériel spécifique : un graveur LightScribe et des CD et DVD certifiés LightScribe.

Pré-requis

Installation

Sous Ubuntu 9.10 (Karmic Koala)

Il vaut mieux installer la bibliothèque fournie par LightScribe, car celle de LaCie n'a pas été mise à jour depuis longtemps. Le logiciel 4L fonctionnera tout aussi bien.

Téléchargez la dernière version du paquet deb de LIGHTSCRIBE SYSTEM SOFTWARE à cette adresse.

Ensuite, installez-le et poursuivez avec l'installation de l'interface graphique.

Sous Ubuntu 8.04 LTS (Hardy Heron)

Installez la bibliothèque libstdc++5 des dépôts universe et multiverse.

Pilotes

Nous allons récupérer deux fichiers ; l'interface graphique d'utilisation et les pilotes. Origine du programme : Lacie

Suivi des pilotes : LightScribe Host Software v1.8.15.1 for Linux ( 25 Septembre 2007 )

Dans un terminal :

wget http://www.lacie.com/download/drivers/lightscribe-1.8.15.1-linux-2.6-intel.rpm

Il nous faut Alien pour convertir les paquets .rpm en .deb.

Création du paquet .deb ( attention à l'option '–scripts' ) :
Paquet créé : lightscribe_1.8.15.1-1_i386.deb

sudo alien --scripts lightscribe-1.8.15.1-linux-2.6-intel.rpm

Installation des pilotes ( ce paquet réclame le groupe 'wheel' ) :

sudo addgroup wheel
sudo dpkg -i lightscribe_1.8.15.1-1_i386.deb

Sous Ubuntu 12.04 LTS ()

Installation

Rendez-vous sur la page de téléchargement, et téléchargez les fichiers .deb pour

  • LightScribe System Software : requis pour activer la fonctionnalité LightScribe de votre graveur.

(Vous devez approuver un contrat de licence utilisateur en cliquant sur le bouton « I agree » avant d'être amené à la page de téléchargement ; cette procédure doit être répétée pour chacun des paquets.)

Ensuite, installer les paquets dans l'ordre :

  • lightscribe-1.18.XX.X-linux-2.6-intel.deb (obtenu par LightScribe System Software ci-dessus)

Sous oneiric, le clic sur le lien du fichier deb ouvre directement la logithèque en permettant d'installer

Les paquets deb semblent défectueux et donnent un message d'erreur "Le paquet est de mauvaise qualité".

On peut passer outre pour le système, mais pas pour le labeler…

Et pourtant… surprise ! il est installé correctement malgré les messages…

Téléchargez le pilote de base version 1.18.3.2 et le logiciel de gravure 4L-gui en .deb ou mirroir

Le liens est mort, cependant je l'avais de stock sur mon HD( ancien téléchargement) je peux le fournir …

  • installez l'application 4L-gui
sudo dpkg --install --force-architecture 4l_1.0-r6_i386.deb
  • Exécutez ldconfig pour associer correctement les bibliothèques 32bits au programme
sudo ldconfig

Interface graphique

Suivi de l'interface : LaCie LightScribe Labeler for Linux. Dans un terminal :

wget http://www.lacie.com/download/drivers/4L-1.0-r6.i586.rpm

Création du paquet .deb :

Paquet créé : 4l_1.0-1_i386.deb

sudo alien 4L-1.0-r6.i586.rpm

Installation de l'interface :

sudo dpkg -i 4l_1.0-1_i386.deb

Installation en 64 bits

Téléchargez le pilote de base version 1.18.3.2 et le logiciel de gravure 4L-gui en .deb

KiKibelux : En date du 29/12/13, sur une installation toute fraîche, l'installation de ce paquet entraînait ( chez moi) l'install d'un grand nombre de lib. j'ai donc passé cette étape.

  • installez le pilote :
sudo dpkg --install --force-architecture lightscribe-1.18.3.2-linux-2.6-intel.deb 
  • installez l'application 4L-gui
sudo dpkg --install --force-architecture 4l_1.0-r6_i386.deb
  • Exécutez ldconfig pour associer correctement les bibliothèques 32bits au programme

KiKibelux : j'ai oublié aussi cette étape !

sudo ldconfig

Test et utilisation

Identification du graveur

Pour tester votre installation, et voir si votre graveur LightScribe est bien reconnu :

$ 4L-cli enumerate

Vous devez obtenir quelque chose comme :

  Using /etc/lightscribe.rc
  Drive path: /dev/hdc
  Usable: 1
  Full name: PHILIPS  - DVDR16LS         - P1.9
  Model: DVDR16LS
  Manufacturer: PHILIPS
  Capabilities: monochrome
  Drive inner radius: 21700
  Drive outer radius: 59000

Si vous obtenez le message d'erreur suivant :

4L-cli: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

Alors, vous avez besoin du paquet libstdc++5. Un simple

sudo apt-get install libstdc++5

devrait suffire.

kikibelux : j'ai obtenu une erreur4L-gui: error while loading shared libraries: libXrandr.so.2: cannot open shared object file: No such file or directory

Kikibelux: Après des recherches sur cette librairie, j'ai compris qu'il n'était pas aisé de l'installer ( de la trouver) mais qu'elle pouvait se trouver dans certains paquets alors j'ai installé googleearth et j'ai pu imprimer des dvd lightscribe !

Utilisation

Lancer simplement :

4L-gui

Vous allez voir des lignes avec "X Error: BadDevice, invalid or uninitialized input device 169" .. apparemment cela n'empêche en rien au logiciel de fonctionner…

Vous disposez de 3 modèles d'impression dans le dossier /usr/4L/templates , vous permettant de préparer vos impressions au pixel près.

Petite information : si l'on souhaite avoir une image plus foncée… il suffit (tout bêtement et je l'avoue c'est un peu idiot) de relancer la même gravure.

On peut aussi lancer le script

sudo /usr/lib/lightscribe/elcu.sh

et répondre 1 à la question posée.

NB : Cette commande donne une erreur, il faut passer root et la lancer avec l'environnement root :

$sudo bash
#/usr/lib/lightscribe/elcu.sh

Pour créer un lanceur : clic droit sur le menu Applications, clic sur Éditer les menus. Choisir ou créer un menu et clic sur Nouvel élément. Inscrivez un nom et copiez "gksudo 4L-gui" dans le champ "commande". La commande kdesu (pour KDE) remplace gksudo (Gnome). L'impression lightscrib sur (K)Ubuntu nécessite les droits administrateur.

Désinstallation

Vous pourriez avoir besoin de retirer ce logiciel pour des raisons de mise à jour ou autre : supprimez les paquets 4l lightscribe.

Un répertoire ne sera pas supprimé automatiquement, car non vide. Il vous suffit de le faire à la main :

sudo rm -rf /usr/share/doc/lightscribe

Pour aller plus loin

Pour une utilisation quasi-illimité des possibilités d'un graveur sur CD LightScribe avec ce logiciel, il est possible d'éditer ses propres gravures: il est nécessaire pour cela d'utiliser un logiciel de retouche/édition d'images comme GIMP par exemple (http://doc.ubuntu-fr.org/gimp):

A: Ouvrez avec GIMP en sudo (par terminal):

sudo gimp

/opt/lightscribeApplications/SimpleLabeler/content/images/borders/fullsize/fs00001.png et enregistrez-sous un autre nom, par exemple "Sauvegarde.png"(afin de ne pas perdre définitivement le fichier fs00001)

B: Rouvrez le fichier fs00001, éditez votre CD comme vous désirez, enregistrez votre image "fs00001.png" (je conseille de TOUJOURS enregistrer-sous avant en format XCF, afin de pouvoir retoucher les textes et la disposition)

C: Ouvrez Labeler toujours en sudo, sinon la gravure ne fonctionne pas):

sudo '/opt/lightscribeApplications/SimpleLabeler/SimpleLabeler'

Videz les espaces de textes, sélectionnez "Blank" validez, et regardez le résultat avant de lancer la gravure, corrigez si nécessaire (d'où l'utilité de garder le .xcf) et lancez.

Pour faire une nouvelle gravure LightScribe, ouvrez avec GIMP le fichier "Sauvegarde.png" et enregistrez-sous "fs00001.png"

Cela fonctionne chez moi mais comme j'ai installé pour un 64bit, j'ignore s'il est possible de faire de même avec 32bit…


Contributeurs : McPeter , SunWukong.



Le contenu de ce wiki est sous licence : CC BY-SA v3.0